import { ConnectPlugin, ComponentConfig, ComponentData } from "@zeplin/cli";
import { ComponentDoc, DocGenOptions } from 'vue-docgen-api';
import { Configuration } from 'webpack';
export default class implements ConnectPlugin {
    supportedFileExtensions: string[];
    docgenOptions: DocGenOptions;
    supports(context: ComponentConfig): boolean;
    init(): Promise<void>;
    process(context: ComponentConfig): Promise<ComponentData>;
    /**
     * Note: If we eventually want to support aliases from non-Vue CLI projects,
     * we'll likely want to add a test for this and other methods to retrieve those aliases
     * For now, it's not worth the effort to setup & maintain an entire dummy Vue CLI project,
     * with the relevant vue.config.js
     */
    attemptToRetrieveVueCliProjectWebpackConfig(): Configuration;
    getPropLines(componentInfo: ComponentDoc): string[];
    getSlotLines(componentInfo: ComponentDoc): string[];
    getEventLines(componentInfo: ComponentDoc): string[];
    generateSnippet(displayName: string, propLines: string[], eventLines: string[], slotLines: string[]): string;
}
